Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class TextArea

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.InlineParent
                      org.apache.fop.area.inline.AbstractTextArea
                          org.apache.fop.area.inline.TextArea

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  UnresolvedPageNumber

    public class TextArea

extends AbstractTextArea

A text inline area.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.area.inline.AbstractTextArea
`AbstractTextArea.TextAdjustingInfo`

Nested classes/interfaces inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary

Fields inherited from class org.apache.fop.area.inline.InlineParent
`autoSize, inlines, minChildOffset`

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, blockProgressionOffset`

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`TextArea()` Create a text inline area
`TextArea(int stretch, int shrink, int adj)` Constructor with extra parameters: create a TextAdjustingInfo object

Method Summary
`void` | `addSpace(char space, int ipd, boolean adjustable, int blockProgressionOffset, int level)` Create and add a SpaceArea child to this TextArea
`void` | `addWord(java.lang.String word, int offset)` Create and add a WordArea child to this TextArea.
`void` | `addWord(java.lang.String word, int offset, int level)` Create and add a WordArea child to this TextArea.
`void` | `addWord(java.lang.String word, int ipd, int[] letterAdjust, int[] levels, int[][] gposAdjustments, int blockProgressionOffset)` Create and add a WordArea child to this TextArea.
`java.lang.String` | `getText()` Get the whole text string.
`void` | `removeText()` Remove the old text
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.area.inline.AbstractTextArea
`applyVariationFactor, getBaselineOffset, getTextLetterSpaceAdjust, getTextWordSpaceAdjust, setBaselineOffset, setSpaceDifference, setTextLetterSpaceAdjust, setTextWordSpaceAdjust`

Methods inherited from class org.apache.fop.area.inline.InlineParent
`addChildArea, collectInlineRuns, getChildAreas, resetChildrenLevel`

Methods inherited from class org.apache.fop.area.inline.InlineArea
`getAdjustingInfo, getBlockProgressionOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isAncestor, isAncestorOrSelf, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustment, setBlockProgressionOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextArea

    public TextArea()

  Create a text inline area

### TextArea

    public TextArea(int stretch,
                    int shrink,
                    int adj)

  Constructor with extra parameters: create a TextAdjustingInfo object

  Parameters:
    `stretch` - the available stretch of the text
    `shrink` - the available shrink of the text
    `adj` - the current total adjustment

Method Detail

### removeText

    public void removeText()

  Remove the old text

### addWord

    public void addWord(java.lang.String word,
                        int offset)

  Create and add a WordArea child to this TextArea.

  Parameters:
    `word` - the word string
    `offset` - the offset for the next area

### addWord

    public void addWord(java.lang.String word,
                        int offset,
                        int level)

  Create and add a WordArea child to this TextArea.

  Parameters:
    `word` - the word string
    `offset` - the offset for the next area
    `level` - bidirectional level that applies to entire word

### addWord

    public void addWord(java.lang.String word,
                        int ipd,
                        int[] letterAdjust,
                        int[] levels,
                        int[][] gposAdjustments,
                        int blockProgressionOffset)

  Create and add a WordArea child to this TextArea.

  Parameters:
    `word` - the word string
    `ipd` - the word's ipd
    `letterAdjust` - the letter adjustment array (may be null)
    `levels` - array of resolved bidirectional levels of word characters, or null if default level
    `gposAdjustments` - array of general position adjustments or null if none apply
    `blockProgressionOffset` - the offset for the next area

### addSpace

    public void addSpace(char space,
                         int ipd,
                         boolean adjustable,
                         int blockProgressionOffset,
                         int level)

  Create and add a SpaceArea child to this TextArea

  Parameters:
    `space` - the space character
    `ipd` - the space's ipd
    `blockProgressionOffset` - the offset for the next area
    `adjustable` - is this space adjustable?
    `level` - resolved bidirection level of space character

### getText

    public java.lang.String getText()

  Get the whole text string. Renderers whose space adjustment handling is not affected by multi-byte characters can use this method to render the whole TextArea at once; the other renderers (for example PDFRenderer) have to implement renderWord(WordArea) and renderSpace(SpaceArea) in order to correctly place each text fragment.

  Returns:
    the text string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Area`
  Returns:
    ipd and bpd of area

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.